[data-spoiler-content] {
	overflow: hidden;
	max-height: 0;
	opacity: 0;
	will-change: max-height;
	transition: .3s;
}

[data-spoiler] {

	&.open {

		[data-spoiler-content] {
			opacity: 1;
			transition: .3s;
		}
	}
}

.spoilers {

	&__item {
        padding: rem(15) 0;
		border-bottom: 1px solid #0A1C2B;

		&.open {

			.spoilers__icon {
				transform: rotate(-180deg);
				transition: .3s;
			}
		}
	}

	&__header {
		width: 100%;
        padding: 0;
		cursor: pointer;
		display: flex;
		align-items: center;
		justify-content: space-between;
		position: relative;
		color: $black;
		border: none;
		outline: none;
		text-align: left;
		background: transparent;
		font-weight: 400;
		font-size: rem(12);
		line-height: rem(16);
	}

	&__title {
		display: block;
		padding-right: rem(8);
	}

	&__icon {
		font-size: 0;
		line-height: 0;
		height: rem(10);
		display: inline-block;
		transition: .3s;
		stroke: #0A1C2B;
        fill: none;
		flex-shrink: 0;
	}

	&__content {
        font-size: rem(12);
        line-height: rem(16);

        p {

            &:last-child {
                margin-bottom: 0;
            }
        }
	}

	&__wrap {
		padding-top: rem(12);
	}

    @include media-breakpoint-up(xl) {

        &__header {
            font-size: rem(16);
            line-height: rem(20);
        }

        &__item {
            padding: rem(20) 0;
        }

        &__content {
            font-size: rem(16);
            line-height: rem(24);
        }
    }
}
